<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Holy Vids</title>
    <link rel="stylesheet" href="./simple.min.css">
</head>
<body>
    <header>
        <h1>My Holy Vids</h1>
        <p>This is where I put my own videos about God</p>
        <a href="./what-makes-this-possible/">What Makes This Possible</a><br>
        <a href="https://tesses.net/learn-about-christ/">Learn About Christ</a>
    </header>

    <main>
        <p class="notice">
            Please Download (As long as you give credit if you use publicly) and Share This<br>
            To Download Use The Command: <br><code>wget -np -R "index.html*" -r https://myholyvids.site.tesses.net/videos/</code>
        </p>
        <!--<a href="./player.php?v=The%20Gospel">The Gospel</a>-->
        <a href="https://www.youtube.com/playlist?list=PLYvkXDQ4vt5UVdfdlRig_LomU5bQmdxha">View on YouTube</a><br>
        <a href="./videos/">View as files</a><br>
        <a href="./orig_videos/">View original clips</a>
        <h2>Videos</h2>
        <ul>
        <?php 
            $videos = scandir('videos');
            $videos = array_diff($videos,array('.','..','README.txt','descriptions'));

            foreach($videos as $video)
            {
                $path_parts = pathinfo($video);

                $filename = $path_parts['filename'];

                $url = urlencode($filename);
                $name = htmlspecialchars($filename);

                echo "<li><a href=\"./player.php?v=".$url."\">".$name."</a></li>";
            }
        ?>
        </ul>
    </main>
    <footer>
        <p>Praise God</p>
        <p>My email: <a href="mailto:tesses@tesses.net">tesses@tesses.net</a></p>
        
        <p>Please forgive me for using PHP on my websites</p>
        <p>This is Mike Nolan&apos;s Website for making videos for God</p>
        <p>Uses: <a href="https://simplecss.org/">SimpleCSS</a></p>
        <p>These videos are released under <a href="https://creativecommons.org/licenses/by-sa/4.0/legalcode">CC BY-SA 4.0</a></p>
	<a href="https://gitea.site.tesses.net/tesses50/myholyvids">Source Code</a>
    </footer>
</body>
</html>
