<?php
    $video = $_GET["v"];
    $videoUrl = rawurlencode($video);
    $videoHtml = htmlspecialchars($video);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Video <?php echo $videoHtml; ?></title>
    <link rel="stylesheet" href="./simple.min.css">
</head>
<body>
    <header>
        <h1>My Holy Vids</h1>
        <p>Video: <?php echo $videoHtml; ?></p>
        <a href="./">Browse</a>
    </header>

    <video src="./videos/<?php echo $videoUrl;?>.mp4" controls autoplay></video>
    <a href="./videos/<?php echo $videoUrl;?>.mp4" download>Please Download</a>
    
   <?php

        if(file_exists("./videos/descriptions/".$video.".html"))
        {
            echo '<section>';
            echo '<h3>Description</h3>';
            echo file_get_contents("./videos/descriptions/".$video.".html");
            echo '</section>';
        }
    ?>
       <p>Praise God</p>
        <p>My email: <a href="mailto:tesses@tesses.net">tesses@tesses.net</a></p>
        
        <p>Please forgive me for using PHP on my websites</p>
        <p>This is Mike Nolan&apos;s Website for making videos for God</p>
        <p>Uses: <a href="https://simplecss.org/">SimpleCSS</a></p>
        <p>These videos are released under <a href="https://creativecommons.org/licenses/by-sa/4.0/legalcode">CC BY-SA 4.0</a></p>
	<a href="https://gitea.site.tesses.net/tesses50/myholyvids">Source Code</a>
</body>
</html>
